import _import from '../_import.js';

const staffActCodeRouter = [
  {
    path: '/staffActCode',
    name: '员工活码',
    component: _import('salesleads/actCodeManage/staffActCode', 'index'),
    meta: {
      keepAlive: true,
      fromPath: ['/actCodeAdd', '/actCodeEdit', '/actCodeBatch', '/actCodeDetail', '/actCodeDetails']
    }
  },
  {
    path: '/actCodeRecord',
    name: '查看记录',
    component: _import('salesleads/actCodeManage/staffActCode', 'actCodeRecord')
  },
  {
    path: '/actCodeDetail',
    name: '活码详情-数据',
    component: _import('salesleads/actCodeManage/staffActCode', 'actCodeDetail')
  },
  {
    path: '/actCodeDetails',
    name: '活码详情-详情',
    component: _import('salesleads/actCodeManage/staffActCode', 'actCodeDetail'),
    meta: {
      keepAlive: true,
      fromPath: ['/actCodeRecord']
    }
  },
  {
    path: '/actCodeAdd',
    name: '新增活码',
    component: _import('salesleads/actCodeManage/staffActCode/views', 'setActCode'),
    meta: {
      keepAlive: true,
      fromPath: ['/salutatorySet']
    }
  },
  {
    path: '/actCodeEdit',
    name: '编辑活码',
    component: _import('salesleads/actCodeManage/staffActCode/views', 'setActCode'),
    meta: {
      keepAlive: true,
      fromPath: ['/salutatorySet']
    }
  },
  {
    path: '/actCodeBatch',
    name: '批量创建活码',
    component: _import('salesleads/actCodeManage/staffActCode/views', 'batchAddCode'),
    meta: {
      keepAlive: true,
      fromPath: ['/salutatorySet']
    }
  }
];
export default staffActCodeRouter;
